package com.goafanti.common.dao;

import com.goafanti.common.model.TOrderApproval;

import java.util.List;

/**
* @author Administrator
* @description 针对表【t_order_approval(订单特批分类表)】的数据库操作Mapper
* @createDate 2024-06-20 09:06:19
* @Entity com.goafanti.common.model.TOrderApproval
*/
public interface TOrderApprovalMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(TOrderApproval record);

    int insertSelective(TOrderApproval record);

    TOrderApproval selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TOrderApproval record);

    int updateByPrimaryKey(TOrderApproval record);

    void deleteByOderNo(String orderNo);

    List<TOrderApproval> selectByOrderNo(String orderNo);
}
